org.apache.ignite.internal.processors.cache.persistence.metastorage

## Interface ReadWriteMetastorage

All Superinterfaces:
  ReadOnlyMetastorage

All Known Implementing Classes:
  MetaStorage

    public interface ReadWriteMetastorage
    extends ReadOnlyMetastorage

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `remove(@NotNull String key)`
`void` `write(@NotNull String key, @NotNull Serializable val)`
`void` `writeRaw(String key, byte[] data)`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.metastorage.ReadOnlyMetastorage

`iterate, read, readRaw`

### Method Detail

#### write

    void write(@NotNull
               @NotNull String key,
               @NotNull
               @NotNull Serializable val)
        throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### writeRaw

    void writeRaw(String key,
                  byte[] data)
           throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### remove

    void remove(@NotNull
                @NotNull String key)
         throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020